RC-SERVICE(8)

NAME
rc-service - locate and run an OpenRC service with the given arguments

SYNOPSIS
rc-service [-c, --ifcrashed] service cmd [...]
rc-service -d, --debug service cmd [...]
rc-service -D, --nodeps service cmd [...]
rc-service [-i, --ifexists] service cmd [...]
rc-service [-I, --ifinactive] service cmd [...]
rc-service [-N, --ifnotstarted] service cmd [...]
rc-service [-s, --ifstarted] service cmd [...]
rc-service [-S, --ifstopped] service cmd [...]
rc-service -e, --exists service
rc-service -Z, --dry-run service cmd [...]
rc-service -l, --list
rc-service -r, --resolve service

DESCRIPTION
Service scripts could be in different places on different systems. rc-service locates the specified service and runs it with the given arguments. If -i, --ifexists is given then rc-service returns 0 even if the service does not exist. If -I, --ifinactive or -N, --ifnotstarted is given then rc-service returns 0 if the service exists but is in the wrong state.

If given the -l, --list argument then rc-service will list all available services.

-e, --exists return 0 if it can find service, otherwise -1. -r, --resolve does the same and also prints the full path of the service to stdout.

-d, --debug sets -x when running the service script(s).

-D, --nodeps ignores dependencies when running the service.

-Z, --dry-run displays commands rather than executing them.

SEE ALSO
openrc(8), stdout(3)

AUTHORS
Roy Marples <roy@marples.name>